%define rname neon

%define	major 0.27
%define libname %mklibname %{rname} %{major}

Summary: 	An HTTP and WebDAV client library, with a C interface
Name: 		libneon0.27
Version: 	0.29.6
Release: 	%mkrel 3
Group: 		Development/Other
License: 	GPLv2+ and LGPLv2+
URL: 		http://www.webdav.org/neon/
Source0: 	http://www.webdav.org/neon/%{rname}-%{version}.tar.gz
Source1: 	http://www.webdav.org/neon/%{rname}-%{version}.tar.gz.asc
Patch0:		neon-locales.diff
Patch1:		neon-fail_parse.diff
Patch2:		neon-borked_addr_reverse.diff
Patch3:		neon-borked_retry_notcompress_and_retry_compress.diff
Patch4:		neon-borked_read_reset.diff
Patch5:		neon-borked_simple_sslv2.diff
# http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=476571
Patch6:		neon-0.28.2-fix-segfault.patch
# http://lists.manyfish.co.uk/pipermail/neon/2012-June/001473.html
# http://lists.manyfish.co.uk/pipermail/neon/2012-July/001487.html
Patch7:     neon-openssl1.0.1-fix-tests.diff
Provides:	libneon
Provides:	neon
BuildRequires:	openssl-devel >= 0.9.7
BuildRequires:	libxml2-devel
BuildRequires:	pkgconfig
BuildRequires:	krb5-devel
BuildRequires:	rootcerts
BuildRequires:	zlib-devel
BuildRequires:	libtool
BuildRequires:	autoconf2.5
Requires:	rootcerts
Requires:	openssl >= 0.9.7
BuildRequires:	multiarch-utils >= 1.0.3

%description
neon is an HTTP and WebDAV client library for Unix systems,
with a C language API. It provides high-level interfaces to
HTTP/1.1 and WebDAV  methods, and a low-level interface to
HTTP request/response handling, allowing new methods to be
easily implemented.

%if "%{_lib}" != "lib"
%package -n	%{libname}
Summary:	Header files and develpment documentation for libnet
Group:		System/Libraries
Requires:	%{libname} = %{version}
Requires:	rootcerts
Requires:	openssl >= 0.9.7
Provides:	libneon
Provides:	neon

%description -n %{libname}
neon is an HTTP and WebDAV client library for Unix systems,
with a C language API. It provides high-level interfaces to
HTTP/1.1 and WebDAV  methods, and a low-level interface to
HTTP request/response handling, allowing new methods to be
easily implemented.
%endif

%package -n	%{libname}-devel
Summary:	Headers for developing programs that will use %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}
Provides:	libneon-devel = %{version}
Provides:	neon-devel = %{version}
Provides:	neon0.27-devel = %{version}
Provides:	libneon0.27-devel = %{version}
Conflicts:	%{mklibname neon 0.24}-devel
Conflicts:	%{mklibname neon 0.26}-devel

%description -n	%{libname}-devel
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%package -n	%{libname}-static-devel
Summary:	Static %{libname} library
Group:		Development/C++
Requires:	%{libname}-devel = %{version}
Provides:	libneon-static-devel = %{version}
Provides:	neon-static-devel = %{version}
Provides:	neon0.27-static-devel = %{version}
Provides:	libneon0.27-static-devel = %{version}
Conflicts:	%{mklibname neon 0.24}-static-devel
Conflicts:	%{mklibname neon 0.26}-static-devel

%description -n	%{libname}-static-devel
Static %{libname} library.

%prep

%setup -q -n %{rname}-%{version}
%patch0 -p1
%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p0
%patch5 -p0
%patch6 -p1
%patch7 -p0

# fix mo clash (#28428)
perl -pi -e "s|_LIBNAME_|%{libname}|g" Makefile.in src/ne_internal.h

# this value has to be raised on x86_64
perl -pi -e "s|^ulimit \-v .*|ulimit \-v 40960|g" test/run.sh

%build
# wierd stuff...
%define __libtoolize /bin/true

%serverbuild

%configure2_5x \
    --enable-shared \
    --enable-static \
    --with-ssl=openssl \
    --enable-threadsafe-ssl=posix \
    --with-ca-bundle=%{_sysconfdir}/pki/tls/certs/ca-bundle.crt \
    --with-libxml2

%make

%check
make check

%install
rm -rf %{buildroot}

%makeinstall

cp src/README README.neon

# fix this
rm -rf %{buildroot}%{_datadir}/doc

%multiarch_binaries %{buildroot}%{_bindir}/neon-config

%find_lang %{libname} --all-name
find %{buildroot} -name *.la -delete

%files -n %{libname} -f %{libname}.lang
%doc doc/*.txt README.neon
%{_libdir}/lib*.so.*

%files -n %{libname}-devel
%doc AUTHORS BUGS doc/html ChangeLog NEWS README THANKS TODO
%multiarch %{multiarch_bindir}/neon-config
%{_bindir}/neon-config
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/neon.pc
%dir %{_includedir}/neon
%{_includedir}/neon/*
%{_mandir}/man1/*
%{_mandir}/man3/*

%files -n %{libname}-static-devel
%{_libdir}/lib*.a




%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.29.6-3.mga3
+ Revision: 357821
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + guillomovitch <guillomovitch>
    - spec cleanup

* Wed Jul 04 2012 shlomif <shlomif> 0.29.6-2.mga3
+ Revision: 267152
- Remove trailing space
- Fix/rebuild for OpenSSL 1.0.1

* Sun Nov 27 2011 tv <tv> 0.29.6-1.mga2
+ Revision: 172599
- new release

* Thu Oct 20 2011 obgr_seneca <obgr_seneca> 0.29.5-2.mga2
+ Revision: 156990
- Removed .la files

* Sun Jan 09 2011 blino <blino> 0.29.5-2.mga1
+ Revision: 3527
- remove old version checks and ldconfig scriptlets
- imported package libneon0.27

